Subject: Re: Restrict local IP announcements in ARP requests

From: "David S. Miller" <[email-masked]>
Date: Mon, 9 Feb 2004 14:08:53 -0800

On Sun, 8 Feb 2004 11:59:35 +0200 (EET)
Julian Anastasov <[email-masked]> wrote:

> 	I'm proposing simple flag that controls the src selection
> in our ARP requests. I named it arp_announce - mode used to define
> different restriction levels for announcing the local source address
> from IP packets in ARP requests:

I'm fine with this patch, although it appears incomplete because:

> 2 - always use the best source address for this target

The code handling this case is "#if 0/#endif" commented out in your
patch.

Finish this thing up, and as a birthday present to everyone I'll also
add an IN_DEV_ARP_IGNORE flag for inet devices to so people can control
complete ARP ignoring via a global/per-device sysctl.

Hopefully, combined, this will get all the virtual server maniacs off
of my back :-)